|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QFocusEvent Class Reference

The QFocusEvent class contains event parameters for widget focus events. More...

    #include <QFocusEvent>

Part of the QtGui module.

Inherits QEvent.

- List of all members, including inherited members

### Public Types

- enum Reason { Mouse, Tab, Backtab, MenuBar, ..., Shortcut }

### Public Functions

- QFocusEvent ( Type type, Qt::FocusReason reason = Qt::OtherFocusReason )
- ~QFocusEvent ()
- bool gotFocus () const
- bool lostFocus () const
- Qt::FocusReason reason ()

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QFocusEvent class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes. Focus events occur due to mouse actions, key presses (such as Tab or Backtab), the window system, popup menus, keyboard shortcuts, or other application-specific reasons. The reason for a particular focus event is returned by reason() in the appropriate event handler.

The event handlers QWidget::focusInEvent() and QWidget::focusOutEvent() receive focus events.

See also QWidget::setFocus() and QWidget::setFocusPolicy().

## Member Type Documentation

### enum QFocusEvent::Reason

Use Qt::FocusReason instead.

Constant | Value | Description
--- | --- | ---
`QFocusEvent::Mouse` | `Qt::MouseFocusReason` | Same as Qt::MouseFocusReason.
`QFocusEvent::Tab` | `Qt::TabFocusReason` | Same as Qt::TabFocusReason.
`QFocusEvent::Backtab` | `Qt::BacktabFocusReason` | Same as Qt::BacktabFocusReason.
`QFocusEvent::MenuBar` | `Qt::MenuBarFocusReason` | Same as Qt::MenuBarFocusReason.
`QFocusEvent::ActiveWindow` | `Qt::ActiveWindowFocusReason` | Same as Qt::ActiveWindowFocusReason
`QFocusEvent::Other` | `Qt::OtherFocusReason` | Same as Qt::OtherFocusReason
`QFocusEvent::Popup` | `Qt::PopupFocusReason` | Same as Qt::PopupFocusReason
`QFocusEvent::Shortcut` | `Qt::ShortcutFocusReason` | Same as Qt::ShortcutFocusReason

## Member Function Documentation

### QFocusEvent::QFocusEvent ( Type type, Qt::FocusReason reason = Qt::OtherFocusReason )

Constructs a focus event object.

The type parameter must be either `QEvent::FocusIn` or `QEvent::FocusOut`.

### QFocusEvent::~QFocusEvent ()

### bool QFocusEvent::gotFocus () const

Returns true if the widget received the text input focus; otherwise returns false.

### bool QFocusEvent::lostFocus () const

Returns true if the widget lost the text input focus; otherwise returns false.

### Qt::FocusReason QFocusEvent::reason ()

Returns the reason for this focus event.